%define name krb5-fermi-krb5.conf
%define path /usr/krb5
%define version 1.7
%define release 90x.1

Summary: Configuration scripts to get Fermize your Kerberos Machine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Group: Fermi
Packager: Troy Dawson <dawson@fnal.gov>

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.
This rpm gives you are krb5.conf file setup to work with the FNAL.GOV
kerberos realm.  If you already have a krb5.conf, it saves it off.


%changelog
* Wed Oct 05 2003 Troy Dawson <dawson@fnal.gov>
- Created krb5-fermi-krb5.conf from krb5-fermi-config.

%prep
%setup


%install
install -m 0755 -d %{path}/conf

install -m 0744 config-krb5.conf %{path}/conf/config-krb5.conf
install -m 0644 krb5.conf.template %{path}/conf/krb5.conf.template

%post 
mv /etc/krb5.conf /etc/krb5.conf.save.%{name}.%{version}.%{release}
%{path}/conf/config-krb5.conf %{version}

%files
%dir %{path}
%dir %{path}/conf
%{path}/conf/config-krb5.conf
%{path}/conf/krb5.conf.template
